> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/users/create-natural-user-sca/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Create a Natural User (SCA) POST https://api.sandbox.mangopay.com/v2.01/{ClientId}/sca/users/natural Content-Type: application/json Register a Natural Payer or Owner (with SCA enrollment) **Note – SCA triggered for Owners** If `UserCategory` is `OWNER`, this endpoint triggers SCA enrollment. Your platform needs to use the returned `PendingUserAction.RedirectUrl` (and add an encoded `returnUrl` query parameter) to redirect the user so they can enroll. Read more about how to redirect them in the [SCA session](/guides/sca/session) guide. In Sandbox, you can bypass SCA by including the word `accept` in the Natural User's `Email` – for example `accept@example.com` or `john.doe+accept@example.com`. **Note – Country-based restrictions apply to users** Due to Mangopay's [country restrictions](/guides/users/country-restrictions), it is not possible to use blocked countries as the following: * `Nationality` * `CountryOfResidence` * `Address.Country` Reference: https://docs.mangopay.com/api-reference/users/create-natural-user-sca ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. ### Body (application/json) This endpoint expects a CreateANaturalUserSCARequest. - `CreateANaturalUserSCARequest` ## Response ### 200 Success - `FirstName` (string, optional) — Min. length: 1; max. length: 100 The first name of the individual. - `LastName` (string, optional) — Min. length: 1; max. length: 100 The last name of the individual. - `Birthday` (integer, optional, nullable) — Returned `null` if `UserCategory` is `PAYER`. The date of birth of the individual. **Note:** This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before. - `Nationality` (string, optional, nullable) — Returned `null` if `UserCategory` is `PAYER`. The nationality of the individual. - `CountryOfResidence` (string, optional, nullable) — Returned `null` if `UserCategory` is `PAYER`. The country of residence of the individual. - `Occupation` (string, optional, nullable) — Max. length: 255 characters The occupation of the individual. Returned `null` if `UserCategory` is `PAYER`. - `IncomeRange` (integer, optional, nullable) — Returned `null` if `UserCategory` is `PAYER`. The bracket indicating the income of the individual. The brackets are: * 1: \< 18K * 2: 18K - 30K * 3: 30K - 50K * 4: 50K - 80K * 5: 80K - 120K * 6: > 120K - `ProofOfIdentity` (string, optional, nullable) — The `Id` of the KYC Document whose `Type` is `IDENTITY_PROOF` if validated for the user. If no identity proof is validated, then this value is `null`. - `ProofOfAddress` (string, optional, nullable) — The `Id` of the KYC Document whose `Type` is `ADDRESS_PROOF` if validated for the user. If no address proof is validated, then this value is `null`. - `Capacity` (string, optional) — This is a deprecated parameter. - `PhoneNumber` (string, optional, nullable) — Format: International E.164 standard (preceded by plus sign and country code) or local format The individual's phone number. The local format (recommended) requires `PhoneNumberCountry` to ensure correct formatting. If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates. For users with `UserCategory` `OWNER` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API. - `PhoneNumberCountry` (string, optional, nullable) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if the `PhoneNumber` is provided in local format (recommended), to render the value in the E.164 standard. - `Address` (Address, optional) — The postal address. - `PendingUserAction` (NaturalUserScaResponsePendingUserAction, optional, nullable) — Object containing the `RedirectUrl` needed for SCA redirection if triggered by the API call (otherwise returned `null`). - `Id` (string, optional) — Max length: 128 characters (see [data formats](/api-reference/overview/data-formats) for details) The unique identifier of the object. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `CreationDate` (integer, optional) — Unix timestamp (UTC) of the date and time the object was created. - `PersonType` (string, optional) — **Returned values:** `NATURAL`, `LEGAL` The type of the user: - `NATURAL` – Natural users are individuals (natural persons). - `LEGAL` – Legal users are legal entities (legal persons) like companies, non-profits, and sole proprietors. The `PersonType` is defined by the endpoint used to create the user and can't be modified. - `Email` (string, optional) — Format: A valid email address The individual's email address. - `KYCLevel` (string, optional) — **Default value:** `LIGHT` **Returned values:** `LIGHT`, `REGULAR` The verification status of the user set by Mangopay: - `LIGHT` – Unverified, assigned by default to all users. - `REGULAR` – Verified, meaning the user has successfully completed the verification process and had the necessary documents validated by Mangopay. Only users whose `UserCategory` is `OWNER` can submit verification documents for validation. Only users whose `KYCLevel` is `REGULAR` can request payouts. - `TermsAndConditionsAccepted` (boolean, optional) — Whether the user has accepted Mangopay's terms and conditions (as defined by your contract, see the [T&Cs guide](/guides/users/terms) for details). Must be `true` if `UserCategory` is `OWNER`. - `TermsAndConditionsAcceptedDate` (integer, optional, nullable) — The date and time at which the `TermsAndConditionsAccepted` value was set to `true`. Returned `null` if `UserCategory` is `PAYER`. - `UserCategory` (string, optional) — **Possible values:** `PAYER`, `OWNER`, `PLATFORM` The [category](/guides/users/categories) of the user: - `PAYER` – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers). - `OWNER` – User who can also receive transfers to their wallets. Owners are able to request [KYC verification](/guides/users/verification), which if successful gives them the `KYCLevel` of `REGULAR` and the ability to request payouts. - `PLATFORM` – Single specific user that represents the platform. The `PLATFORM` value is only assigned by Mangopay and may be used as part of the validated workflow implemented by the platform. - `UserStatus` (string, optional) — **Returned values:** `PENDING_USER_ACTION`, `ACTIVE`, `CLOSED` The status of the user: - `PENDING_USER_ACTION` – The user must enroll in SCA before they can become `ACTIVE`. - `ACTIVE` – The user account is active and the user can access Mangopay features. - `CLOSED` – The user account is permanently closed. This value is used by Mangopay to close an account following the procedure outlined in the terms and conditions. ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Types ### CreateNaturalPayerSCARequest Request body for creating a Natural User with `UserCategory` `PAYER`. - `FirstName` (string, required) — Min. length: 1; max. length: 100 The first name of the individual. - `LastName` (string, required) — Min. length: 1; max. length: 100 The last name of the individual. - `Email` (string, required) — Format: A valid email address The individual's email address. - `TermsAndConditionsAccepted` (boolean, required) — Whether the user has accepted Mangopay's terms and conditions (as defined by your contract, see the [T&Cs guide](/guides/users/terms) for details). Must be `true` if `UserCategory` is `OWNER`. - `UserCategory` (string, required) — **Allowed values:** `PAYER` The [category](/guides/users/categories) of the user: - `PAYER` – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers). - `OWNER` – User who can also receive transfers to their wallets. Owners are able to request [KYC verification](/guides/users/verification), which if successful gives them the `KYCLevel` of `REGULAR` and the ability to request payouts. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `PhoneNumber` (string, optional) — Format: International E.164 standard (preceded by plus sign and country code) or local format The individual's phone number. The local format (recommended) requires `PhoneNumberCountry` to ensure correct formatting. If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates. For users with `UserCategory` `OWNER` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API. - `PhoneNumberCountry` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if the `PhoneNumber` is provided in local format (recommended), to render the value in the E.164 standard. - `Address` (Address_SubPropsRequired, optional) — The postal address. ### CreateNaturalOwnerSCARequest Request body for creating a Natural User with `UserCategory` `OWNER`. Owners must provide additional data, accept Mangopay's T&Cs, and enroll in SCA via the `PendingUserAction.RedirectUrl` returned. - `FirstName` (string, required) — Min. length: 1; max. length: 100 The first name of the individual. - `LastName` (string, required) — Min. length: 1; max. length: 100 The last name of the individual. - `Email` (string, required) — Format: A valid email address The individual's email address. - `TermsAndConditionsAccepted` (boolean, required) — Whether the user has accepted Mangopay's terms and conditions (as defined by your contract, see the [T&Cs guide](/guides/users/terms) for details). Must be `true` if `UserCategory` is `OWNER`. - `UserCategory` (string, required) — **Allowed values:** `OWNER` The [category](/guides/users/categories) of the user: - `PAYER` – User who can only make pay-ins to their wallets and transfers to other wallets (as well as refunds for pay-ins and transfers). - `OWNER` – User who can also receive transfers to their wallets. Owners are able to request [KYC verification](/guides/users/verification), which if successful gives them the `KYCLevel` of `REGULAR` and the ability to request payouts. - `Birthday` (integer, required) — Required if `UserCategory` is `OWNER`. The date of birth of the individual. **Note:** This is a Unix timestamp in UTC. Ensure you convert your timezone to UTC to avoid midnight being interpreted as the day before. - `Nationality` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if `UserCategory` is `OWNER`. The nationality of the individual. - `CountryOfResidence` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if `UserCategory` is `OWNER`. The country of residence of the individual. - `ScaContext` (string, required) — **Possible values:** `USER_PRESENT`, `USER_NOT_PRESENT` **Default value:** `USER_PRESENT` The SCA context of the request, which is **required** if the `OWNER` value is being assigned for `UserCategory`: - `USER_PRESENT` – The user is on session during `OWNER` account creation and can enroll in SCA at the same time. The platform must [redirect the user](/guides/sca/session) using the `PendingUserAction.RedirectUrl` returned so that the user can complete the SCA session. - `USER_NOT_PRESENT` – The platform has explicit permission from Mangopay to create the `OWNER` user account without simultaneous SCA enrollment (see [asynchronous SCA enrollment](/guides/sca/proxy-management#user-account-creation)). **Note:** On User endpoints, `ScaContext` is not returned in the API response as it does not form part of the User data – it's only related to the action being performed on the user. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. - `PhoneNumber` (string, optional) — Format: International E.164 standard (preceded by plus sign and country code) or local format The individual's phone number. The local format (recommended) requires `PhoneNumberCountry` to ensure correct formatting. If present, the phone number forms part of card transaction data that is passed to issuers to improve authentication rates. For users with `UserCategory` `OWNER` , the phone number is used to pre-populate the SCA session for them to confirm and receive an SMS OTP. If the individual modifies the phone number during the session, this data is not updated in the API. - `PhoneNumberCountry` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) Required if the `PhoneNumber` is provided in local format (recommended), to render the value in the E.164 standard. - `Address` (Address_SubPropsRequired, optional) — The postal address. - `Occupation` (string, optional) — The occupation of the individual. - `IncomeRange` (integer, optional) — **Allowed values:** `1`, `2`, `3`, `4`, `5`, `6`, `null`. The bracket indicating the income of the individual. The brackets are: * 1: \< 18K * 2: 18K - 30K * 3: 30K - 50K * 4: 50K - 80K * 5: 80K - 120K * 6: > 120K ### Address The postal address. - `AddressLine1` (string, optional) — The first line of the address. - `AddressLine2` (string, optional) — The second line of the address. - `City` (string, optional) — The city of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. - `PostalCode` (string, optional) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, optional) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. ### NaturalUserScaResponsePendingUserAction Object containing the `RedirectUrl` needed for SCA redirection if triggered by the API call (otherwise returned `null`). - `RedirectUrl` (string, optional) — The URL to which to redirect the user to perform strong customer authentication (SCA) via a Mangopay-hosted webpage. This value is a variable and should not be hardcoded. The SCA session link expires 10 minutes after it's generated. **Caution:** Before redirecting the user on this URL, you must add the query parameter `ReturnUrl` with the percent-encoded URL to which you want the SCA session to return the user after authentication (whether successful or not). For more details, see [How to redirect a user for an SCA session](/guides/sca/session#how-to-redirect-a-user-for-sca). ### Address_SubPropsRequired The postal address. - `AddressLine1` (string, required) — The first line of the address. - `City` (string, required) — The city of the address. - `PostalCode` (string, required) — The postal code of the address. The postal code can contain the following characters: alphanumeric, dashes, and spaces. - `Country` (string, required) — Format: Two-letter country code ([ISO 3166-1 alpha-2 format](/api-reference/overview/data-formats)) The country of the address. - `AddressLine2` (string, optional) — The second line of the address. - `Region` (string, optional) — Required if `Country` is US, CA, or MX. The region of the address. ## Examples ### Payer **Request** ```json { "body": { "Address": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Country": "FR", "PostalCode": "75004", "Region": "Île-de-France" }, "Email": "alex.smith@example.com", "FirstName": "Alex", "LastName": "Smith", "PhoneNumber": "0611111111", "PhoneNumberCountry": "FR", "Tag": "Created using the Mangopay API Postman collection", "TermsAndConditionsAccepted": false, "UserCategory": "PAYER" } } ``` **Response** ```json { "FirstName": "Alex", "LastName": "Smith", "Birthday": null, "Nationality": null, "CountryOfResidence": null, "Occupation": null, "IncomeRange": null, "ProofOfIdentity": null, "ProofOfAddress": null, "Capacity": "NORMAL", "PhoneNumber": "0611111111", "PhoneNumberCountry": "FR", "Address": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Region": "Île-de-France", "PostalCode": "75004", "Country": "FR" }, "PendingUserAction": null, "Id": "user_m_01JF7AP1M46TR0JH7WBGPWK7D7", "Tag": "Created using the Mangopay API Postman collection", "CreationDate": 1734339135, "PersonType": "NATURAL", "Email": "alex.smith@example.com", "KYCLevel": "LIGHT", "TermsAndConditionsAccepted": false, "TermsAndConditionsAcceptedDate": null, "UserCategory": "PAYER", "UserStatus": "ACTIVE" } ``` **SDK Code** ```javascript Payer const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-example-client-id', clientApiKey: 'your-mangopay-api-key', }) let user = { UserCategory: "PAYER", TermsAndConditionsAccepted: false, FirstName: "Alex", LastName: "Smith", Email: "alex.smith@example.com", PersonType: "NATURAL", NaturalSca: true, }; const createUser = async (userObject) => { return await mangopay.Users.create(userObject) .then((response) => { console.info(response); return response; }) .catch((err) => { console.log(err); return false; }); }; createUser(user); ``` ```ruby Payer require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-mangopay-client-id' client.client_apiKey = 'your-mangopay-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def createNaturalUserSca(naturalUserScaObject) begin response = MangoPay::NaturalUserSca.create(naturalUserScaObject) puts response return response rescue MangoPay::ResponseError => error puts "Failed to create User: #{error.message}" puts "Error details: #{error.details}" return false end end myNaturalUserSca = { UserCategory: 'PAYER', TermsAndConditionsAccepted: false, FirstName: 'Alex', LastName: 'Smith', Email: 'alex.smith@example.com', } createNaturalUserSca(myNaturalUserSca) ``` ```csharp Payer using MangoPay.SDK; using MangoPay.SDK.Core.Enumerations; using MangoPay.SDK.Entities; using MangoPay.SDK.Entities.POST; using Newtonsoft.Json; public class CreateNaturalUserSca { public void Run() { Task.Run(async () => { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-mangopay-api-key"; var myUser = new UserNaturalScaOwnerPostDTO() { FirstName = "Dolly", LastName = "Nelson", Email = "dolly.nelson@example.com", TermsAndConditionsAccepted = false, UserCategory = UserCategory.PAYER }; var createNaturalUser = await api.Users.CreateOwnerAsync(myUser); string prettyPrint = JsonConvert.SerializeObject(createNaturalUser, Formatting.Indented); Console.WriteLine(prettyPrint); }).GetAwaiter().GetResult(); } } ``` ```php Payer Config->ClientId = 'your-mangopay-client-id'; $api->Config->ClientPassword = 'your-mangopay-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $user = new \MangoPay\UserNaturalSca(); $user->FirstName = 'Jane'; $user->LastName = 'Smith'; $user->Email = "jane.smith@example.com"; $user->TermsAndConditionsAccepted = false; $user->UserCategory = 'Payer'; $response = $api->Users->Create($user); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ``` ### Owner **Request** ```json { "body": { "Address": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Country": "FR", "PostalCode": "75004", "Region": "Île-de-France" }, "Birthday": 652117514, "CountryOfResidence": "FR", "Email": "alex.smith@example.com", "FirstName": "Alex", "LastName": "Smith", "Nationality": "FR", "PhoneNumber": "0611111111", "PhoneNumberCountry": "FR", "Tag": "Created using the Mangopay API Postman collection", "TermsAndConditionsAccepted": true, "UserCategory": "OWNER" } } ``` **Response** ```json { "FirstName": "Alex", "LastName": "Smith", "Birthday": 652117514, "Nationality": "FR", "CountryOfResidence": "FR", "Occupation": null, "IncomeRange": null, "ProofOfIdentity": null, "ProofOfAddress": null, "Capacity": "NORMAL", "PhoneNumber": "0611111111", "PhoneNumberCountry": "FR", "Address": { "AddressLine1": "3 rue de la Cité", "AddressLine2": "Appartement 7", "City": "Paris", "Region": "Île-de-France", "PostalCode": "75004", "Country": "FR" }, "PendingUserAction": { "RedirectUrl": "https://sca.sandbox.mangopay.com/?token=0193ceab0948799a9af9726fb852fb98" }, "Id": "user_m_01JF7AP1M46TR0JH7WBGPWK7D7", "Tag": "Created using the Mangopay API Postman collection", "CreationDate": 1734339135, "PersonType": "NATURAL", "Email": "alex.smith@example.com", "KYCLevel": "LIGHT", "TermsAndConditionsAccepted": true, "TermsAndConditionsAcceptedDate": null, "UserCategory": "OWNER", "UserStatus": "PENDING_USER_ACTION" } ``` **SDK Code** ```javascript Owner const mangopayInstance = require('mangopay4-nodejs-sdk') const mangopay = new mangopayInstance({ clientId: 'your-example-client-id', clientApiKey: 'your-mangopay-api-key', }) let user = { UserCategory: "OWNER", TermsAndConditionsAccepted: true, FirstName: "Alex", LastName: "Smith", Email: "alex.smith@example.com", Address: { AddressLine1: "3 rue de la Cité", AddressLine2: "Appartement 7", City: "Paris", Region: "Île-de-France", PostalCode: "75004", Country: "FR", }, Birthday: 652117514, CountryOfResidence: "FR", Nationality: "FR", Tag: "Created using the Mangopay NodeJS SDK", PhoneNumber: "0611111111", PhoneNumberCountry: "FR", PersonType: "NATURAL", NaturalSca: true, }; const createUser = async (userObject) => { return await mangopay.Users.create(userObject) .then((response) => { console.info(response); return response; }) .catch((err) => { console.log(err); return false; }); }; createUser(user); ``` ```ruby Owner require 'mangopay' MangoPay.configure do |client| client.preproduction = true client.client_id = 'your-mangopay-client-id' client.client_apiKey = 'your-mangopay-api-key' client.log_file = File.join(Dir.pwd, 'mangopay.log') end def createNaturalUserSca(naturalUserScaObject) begin response = MangoPay::NaturalUserSca.create(naturalUserScaObject) puts response return response rescue MangoPay::ResponseError => error puts "Failed to create User: #{error.message}" puts "Error details: #{error.details}" return false end end myNaturalUserSca = { UserCategory: 'OWNER', TermsAndConditionsAccepted: true, FirstName: 'Alex', LastName: 'Smith', Email: 'alex.smith@example.com', Address: { AddressLine1: '3 rue de la Cité', AddressLine2: 'Appartement 7', City: 'Paris', Region: 'Île-de-France', PostalCode: '75004', Country: 'FR' }, Birthday: 652117514, CountryOfResidence: 'FR', Nationality: 'FR', Tag: 'Created using the Mangopay Ruby SDK', PhoneNumber: '0611111111', PhoneNumberCountry: 'FR' } createNaturalUserSca(myNaturalUserSca) ``` ```csharp Owner using MangoPay.SDK; using MangoPay.SDK.Core.Enumerations; using MangoPay.SDK.Entities; using MangoPay.SDK.Entities.POST; using Newtonsoft.Json; public class CreateNaturalUserSca { public void Run() { Task.Run(async () => { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-mangopay-api-key"; var myUser = new UserNaturalScaOwnerPostDTO() { FirstName = "Dolly", LastName = "Nelson", Email = "dolly.nelson@example.com", Address = new Address { AddressLine1 = "17 Rue de la République", City = "Paris", PostalCode = "75001", Country = CountryIso.FR }, Birthday = new DateTime(1985, 3, 15), Nationality = CountryIso.FR, CountryOfResidence = CountryIso.FR, Tag = "Created using the Mangopay .NET SDK", TermsAndConditionsAccepted = true, UserCategory = UserCategory.OWNER }; var createNaturalUser = await api.Users.CreateOwnerAsync(myUser); string prettyPrint = JsonConvert.SerializeObject(createNaturalUser, Formatting.Indented); Console.WriteLine(prettyPrint); }).GetAwaiter().GetResult(); } } ``` ```php Owner Config->ClientId = 'your-mangopay-client-id'; $api->Config->ClientPassword = 'your-mangopay-api-key'; $api->Config->TemporaryFolder = 'tmp/'; try { $user = new \MangoPay\UserNaturalSca(); $user->FirstName = 'Jane'; $user->LastName = 'Smith'; $user->Email = "jane.smith@example.com"; //$user->Address = new \MangoPay\Address(); //$user->Address->AddressLine1 = 'Rue des plantes'; //$user->Address->AddressLine2 = 'Building A'; //$user->Address->City = 'Paris'; //$user->Address->Country = 'FR'; //$user->Address->PostalCode = '75000'; //$user->Address->Region = 'IDF'; $user->Tag = 'Created using the Mangopay PHP SDK'; $user->Nationality = 'FR'; $user->CountryOfResidence = 'FR'; $user->Birthday = 655772400; $user->TermsAndConditionsAccepted = true; $user->UserCategory = 'Owner'; $response = $api->Users->Create($user); print_r($response); } catch(MGPResponseException $e) { print_r($e); } catch(MGPException $e) { print_r($e); } ```